@import url("https://fonts.googleapis.com/css?family=Montserrat");

* {
  -ms-overflow-style: none;  /* Internet Explorer 10+ */
  scrollbar-width: none;  /* Firefox */
  cursor: none;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat";
}

*::-webkit-scrollbar { 
  display: none;  /* Safari and Chrome */
}

html,body{
  height: 100%;
}

body {
  background-color: #f8f7f3;
  scroll-snap-type: y mandatory;
}

.cursor {
  position: fixed;
  width: 20px;
  height: 20px;
  border: 1px solid grey;
  border-radius: 50%;
  background-color: transparent;
  z-index: 999;
  pointer-events: none;
  backdrop-filter: invert(100%);
}

@media only screen and (max-width: 768px) {
  .cursor {
    visibility: hidden;
  }
}

.hamburger {
  position: fixed; /* Relative if bar */ 
  top: 30px;
  right: 30px;
  z-index: 999;
  display: flex;
  flex-direction: column;
  gap: 5px;
}

.hamburger > div {
  border-radius: 15%;
  width: 30px;
  height: 4px;
  background-color: #7a7a7a;
  backdrop-filter: invert(100%);
  transition: 0.5s all;
}

.ham1opened {
  rotate: 45deg;
  translate: 0 5px;
  background-color: white !important;
}

.ham2opened {
  opacity: 0;
}

.ham3opened {
  rotate: -45deg;
  translate: 0 -12px;
  background-color: white !important;
}

.mobileMenu {
  position: fixed;
  top: 0;
  right: -100%;
  z-index: -1;
  background-color:#252525;
  transition: 1s opacity ease-in-out;
  opacity: 0;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 100%;
  width: 100%;
}

.mobileMenu > img {
  margin: 50px 0;
}

.mobileMenuOpen {
  right: 0;
  opacity: 100%;
  z-index: 998;
  box-shadow: rgba(50, 50, 93, 0.6) 0px 50px 100px -20px, rgba(0, 0, 0, 0.6) 0px 30px 60px -30px;
}

@media only screen and (min-width: 768px) {
  .mobileMenu {
    width: 30%;
  }
}

.top {
  top: 0;
  position: fixed !important;
}

.bottom{
  bottom: 0;
}


ul {
  list-style-type: none;
}


li {
  text-align: center;
  margin: 10px 0;
}

a {
  color: white;
  text-decoration: none;
}

.siteContent{
  transition: all 1s;
}

.siteContentBlur{
  opacity: 0.5;
  filter: blur(5px);
}

.mobileList > li > a {
  font-size:30px;
  letter-spacing: 7px;
}

#siteFooter{
  height: 30vh;
  box-shadow: 0px 2px 8px 5px rgba(0, 0, 0, 0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2px;
}

.footerLeft, .footerMiddle, .footerRight {
  width: 32%;
  height: 100%;
  padding: 25px;
}

.footerLeft, .footerRight{
  display: flex;
  justify-content: center;
  flex-direction: column;
  gap:10px;
}

.footerLeft{
  align-items: flex-start;

}

.footerRight{
  align-items: flex-end;
}

.footerMiddle{
  display: flex;
  justify-content: flex-end;
  align-items: center;
  flex-direction: column;
  gap:10px;
}

.footerMiddle img {
  width: 120px;
}

#authorTag{
  font-size: 12px;
  transform: translateY(10px);
}

@media only screen and (max-width: 768px) {
  .footerMiddle{
    width: 0;
    overflow: hidden;
    padding: 0;
  }

  .footerLeft, .footerRight{
    width: 50%;
    padding:20px;
  }
}
